import '../../../stencil.core';
export declare class EntityForm {
    entity: any;
    dataCopy: any;
    definitions: any;
    relationships: any;
    translateService: any;
    type: string;
    data: any;
    dataJson: string;
    definitionsJson: string;
    language: string;
    constructor();
    setData(data: any): Promise<void>;
    setDefinitions(data: any): Promise<void>;
    translate(str: string): any;
    renderFormField(key: any): JSX.Element;
    parseField(key: string, field: any): any;
    parseFieldDataArray(key: any, fieldData: any): any;
    render(): JSX.Element;
}
